# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetEnumeratedMember

Function

Returns the members of a Group by index.

Syntax
`
#include <dx/dx.h>
`

Object DXGetEnumeratedMember(Group g, int n, char **name)

Functional Details

Returns the `n`th member of Group `g`. The members of a Group may be indexed by calling this routine with successive values of `n` starting with 0 until `NULL` is returned. This routine returns the name of the `n`th member in `*name` if `name` is not `NULL`.

Note: | The numbering changes as members are added and deleted.

Return Value Returns the `n`th member or returns `NULL` but does not set an error code if `n` is out of range. Sets an error code if `g` is not a Group.

See Also

`DXGetMember, DXGetMemberCount, DXNewGroup, DXSetEnumeratedMember`

"Generic Operations".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]